{ pkgs, ... }:
{
  services.caddy = {
    enable = true;
    configFile = pkgs.writeText "Caddyfile" ''
      {
        acme_ca https://ca.home.2rjus.net/acme/acme/directory
      }

      nzbget.home.2rjus.net {
        log {
          output file /var/log/caddy/nzbget.log
        }
        reverse_proxy http://nzbget-jail.home.2rjus.net:6789
      }

      radarr.home.2rjus.net {
        log {
          output file /var/log/caddy/radarr.log
        }
        reverse_proxy http://radarr-jail.home.2rjus.net:7878
      }

      sonarr.home.2rjus.net {
        log {
          output file /var/log/caddy/sonarr.log
        }
        reverse_proxy http://sonarr-jail.home.2rjus.net:8989
      }
      ha.home.2rjus.net {
        log {
          output file /var/log/caddy/ha.log
        }
        reverse_proxy http://ha1.home.2rjus.net:8123
      }
      z2m.home.2rjus.net {
        log {
          output file /var/log/caddy/z2m.log
        }
        reverse_proxy http://ha1.home.2rjus.net:8080
      }
    '';
  };
}
